[PATCH] D29840: test-release.sh: Remove workaround for test-suite build
Tom Stellard via Phabricator via llvm-commits
llvm-commits at lists.llvm.org
Tue Feb 28 13:55:29 PST 2017
tstellar updated this revision to Diff 90081.
tstellar added a comment.
- Clean up code using variables and make it clear we want to return to BuildDir
- Make sure test output is logged.
https://reviews.llvm.org/D29840
Files:
utils/release/test-release.sh
Index: utils/release/test-release.sh
===================================================================
--- utils/release/test-release.sh
+++ utils/release/test-release.sh
@@ -173,13 +173,6 @@
shift
done
-if [ "$do_test_suite" = "yes" ]; then
- # See llvm.org/PR26146.
- echo Skipping test-suite build when using CMake.
- echo It will still be exported.
- do_test_suite="export-only"
-fi
-
# Check required arguments.
if [ -z "$Release" ]; then
echo "error: no release number specified"
@@ -315,11 +308,7 @@
projsrc=llvm.src/projects/$proj
;;
test-suite)
- if [ $do_test_suite = 'yes' ]; then
- projsrc=llvm.src/projects/$proj
- else
- projsrc=$proj.src
- fi
+ projsrc=$proj.src
;;
*)
echo "error: unknown project $proj"
@@ -417,6 +406,22 @@
deferred_error $Phase $Flavor "check-all failed"
fi
+ if [ $do_test_suite = 'yes' ]; then
+ SandboxDir="$BuildDir/sandbox"
+ Lit=$SandboxDir/bin/lit
+ TestSuiteBuildDir="$BuildDir/test-suite-build"
+ TestSuiteSrcDir="$BuildDir/test-suite.src"
+
+ virtualenv $SandboxDir
+ $SandboxDir/bin/python $BuildDir/llvm.src/utils/lit/setup.py install
+ mkdir -p $TestSuiteBuildDir
+ cd $TestSuiteBuildDir
+ cmake $TestSuiteSrcDir -DTEST_SUITE_LIT=$Lit
+ if ! ( ${MAKE} -j $NumJobs -k check \
+ 2>&1 | tee $LogDir/llvm.check-Phase$Phase-$Flavor.log ) ; then
+ deferred_error $Phase $Flavor "test suite failed"
+ fi
+ fi
cd $BuildDir
}
-------------- next part --------------
A non-text attachment was scrubbed...
Name: D29840.90081.patch
Type: text/x-patch
Size: 1625 bytes
Desc: not available
URL: <http://lists.llvm.org/pipermail/llvm-commits/attachments/20170228/9005c587/attachment.bin>
More information about the llvm-commits
mailing list